.\"
.\" Copyright 1992 by Jutta Degener and Carsten Bormann, Technische
.\" Universitaet Berlin.  See the accompanying file "COPYRIGHT" for
.\" details.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.
.\"
.PU
.TH GSM_PRINT 3 
.SH NAME
gsm_print() \(em GSM\ 06.10 supplementary function for debugging
.SH SYNOPSIS
#include "gsm.h"
#include <stdio.h>

int gsm_print(f, g, frame);
.br
FILE * f;
.br
gsm    g;
.br
gsm_frame frame;
.SH "DESCRIPTION"
Gsm is an implementation of the final draft GSM 06.10
standard for full-rate speech transcoding, a lossy
speech compression algorithm.
The compressed form involves 76 variables with different numbers
of significant bits packed into 33 bytes.
.PP
If you are interested in investigating the details of this
coding scheme, gsm_print() can be used to dump the contents
of individual gsm_frames to a file pointer provided by
the application.
.PP
.SH "RETURN VALUE"
gsm_print() returns -1 if the frame is invalid, else 0.
.SH EXAMPLE
A single frame looks like this:
.br
.nf
LARc:   29  32  20  11  08  05  06  07
#1:     Nc 0040    bc 0    Mc 1    xmaxc 60
        06 04 00 03 03 06 04 02 02 04 05 04 01
#2:     Nc 0045    bc 1    Mc 1    xmaxc 48
        03 07 01 03 04 04 07 01 03 02 04 05 03
#3:     Nc 0091    bc 1    Mc 1    xmaxc 46
        00 03 03 07 01 06 02 04 05 03 03 02 04
#4:     Nc 0120    bc 0    Mc 1    xmaxc 47
        07 03 06 00 03 03 06 05 00 03 02 07 04
.nf
.SH BUGS
Please direct bug reports to toast@tub.cs.tu-berlin.de.
.SH "SEE ALSO"
gsm(3), gsm_explode(3) 
